Subject: Re: 'git pull' fails with 'not uptodate' message despite 'git reset --hard'

From: Jody McIntyre <[email-masked]>
Date: Wed, 29 Jul 2009 18:54:32 -0400

On Wed, Jul 29, 2009 at 08:44:32PM +0000, Avery Pennarun wrote:

> You can always try the thermonuclear option:
> 
>    mv .git/index .git/index.bak
>    git reset HEAD    # note, don't use --hard here
>    git status   # should show only files you have *really* changed
> 
> Of course, if this fixes it than it's *definitely* a bug somewhere.

That still doesn't fix the problem.  I guess the index is not to blame.

$ mv .git/index .git/index.bak
$ git reset HEAD
$ git status
# On branch master
# Your branch is behind 'origin/master' by 484 commits, and can be fast-forwarded.
#
nothing to commit (working directory clean)
$ git pull origin tags/v2.6.31-rc4
>From git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6
 * tag               v2.6.31-rc4 -> FETCH_HEAD
Updating 6847e15..4be3bd7
error: Entry 'CREDITS' not uptodate. Cannot merge.

Incidentally:

$ diff .git/index.bak .git/index
Binary files .git/index.bak and .git/index differ

I don't know what .git/index contains so I don't know if that's surprising or
not.

Cheers,
Jody

> Good luck.
> Avery